Bug 182571 - Flaky Test: media/modern-media-controls/tracks-support/tracks-support-show-panel-fullscreen.html
Summary: Flaky Test: media/modern-media-controls/tracks-support/tracks-support-show-pa...
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Peng Liu
URL:
Keywords: InRadar
: 206631 (view as bug list)
Depends on:
Blocks: 50856
  Show dependency treegraph
 
Reported: 2018-02-07 08:13 PST by WebKit Commit Bot
Modified: 2020-05-20 16:57 PDT (History)
13 users (show)

See Also:


Attachments
Archive of layout-test-results from webkit-cq-01 (2.25 MB, application/zip)
2018-02-07 08:13 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-01 (2.25 MB, application/zip)
2018-02-08 12:49 PST, WebKit Commit Bot
no flags Details
Patch (1.35 KB, patch)
2019-02-07 15:13 PST, Shawn Roberts
no flags Details | Formatted Diff | Diff
Patch (2.30 KB, patch)
2019-02-07 15:25 PST, Shawn Roberts
no flags Details | Formatted Diff | Diff
Add an explicit timeout in the test to debug the flaky timeout (1.62 KB, patch)
2020-05-18 22:43 PDT, Peng Liu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description WebKit Commit Bot 2018-02-07 08:13:00 PST
This is an automatically generated bug from the commit-queue.
media/modern-media-controls/tracks-support/tracks-support-show-panel-fullscreen.html has been flaky on the commit-queue.

media/modern-media-controls/tracks-support/tracks-support-show-panel-fullscreen.html was authored by graouts@apple.com and ryanhaddad@apple.com.
https://trac.webkit.org/browser/trunk/LayoutTests/media/modern-media-controls/tracks-support/tracks-support-show-panel-fullscreen.html

The commit-queue just saw media/modern-media-controls/tracks-support/tracks-support-show-panel-fullscreen.html flake (test timed out) while processing attachment 333282 [details] on bug 182568.
Bot: webkit-cq-01  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6

The bots will update this with information from each new failure.

If you believe this bug to be fixed or invalid, feel free to close.  The bots will re-open if the flake re-occurs.

If you would like to track this test fix with another bug, please close this bug as a duplicate.  The bots will follow the duplicate chain when making future comments.
Comment 1 WebKit Commit Bot 2018-02-07 08:13:01 PST
Created attachment 333285 [details]
Archive of layout-test-results from webkit-cq-01
Comment 3 WebKit Commit Bot 2018-02-08 12:49:23 PST
The commit-queue just saw media/modern-media-controls/tracks-support/tracks-support-show-panel-fullscreen.html flake (test timed out) while processing attachment 333402 [details] on bug 182607.
Bot: webkit-cq-01  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 4 WebKit Commit Bot 2018-02-08 12:49:24 PST
Created attachment 333411 [details]
Archive of layout-test-results from webkit-cq-01
Comment 5 Ryan Haddad 2018-02-08 13:13:30 PST
Marked test as flaky on WK1 in https://trac.webkit.org/r228291
Comment 6 Shawn Roberts 2019-02-07 15:11:51 PST
updated to mark flaky on all of Mac as it's now affecting Mojave and WK2
Comment 7 Shawn Roberts 2019-02-07 15:13:56 PST
Created attachment 361460 [details]
Patch
Comment 8 EWS Watchlist 2019-02-07 15:15:50 PST
Attachment 361460 [details] did not pass style-queue:


ERROR: LayoutTests/platform/mac/TestExpectations:1803:  Unrecognized modifier 'mac'  [test/expectations] [5]
ERROR: /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/mac/TestExpectations:1803:  Unrecognized modifier 'mac'  [test/expectations] [5]
Total errors found: 2 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 Shawn Roberts 2019-02-07 15:25:45 PST
Created attachment 361461 [details]
Patch
Comment 10 Alexey Proskuryakov 2020-01-22 22:57:03 PST
*** Bug 206631 has been marked as a duplicate of this bug. ***
Comment 11 Alexey Proskuryakov 2020-01-22 22:57:18 PST
<rdar://problem/58817580>
Comment 12 Jacob Uphoff 2020-04-08 10:08:07 PDT
Set expectations to include wk2. https://trac.webkit.org/changeset/259723/webkit
Comment 13 Peng Liu 2020-05-11 14:17:02 PDT

*** This bug has been marked as a duplicate of bug 211645 ***
Comment 14 Ryan Haddad 2020-05-14 12:33:07 PDT
Reopening because this test is still a flaky timeout on the bots after the fix for bug 211645
Comment 15 Ryan Haddad 2020-05-14 12:34:08 PDT
(In reply to Ryan Haddad from comment #14)
> Reopening because this test is still a flaky timeout on the bots after the
> fix for bug 211645
Specifically, it continues to time out on Catalina and Mojave Debug queues.
Comment 16 Ryan Haddad 2020-05-14 14:40:34 PDT
I marked it as flaky again in r261704.
Comment 17 Peng Liu 2020-05-18 22:43:19 PDT
Created attachment 399713 [details]
Add an explicit timeout in the test to debug the flaky timeout
Comment 18 EWS 2020-05-18 23:18:51 PDT
Committed r261852: <https://trac.webkit.org/changeset/261852>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 399713 [details].
Comment 19 Peng Liu 2020-05-20 11:37:02 PDT
Reopen this bug to investigate the failure instead of timeout on bots after r261852.
Comment 20 Peng Liu 2020-05-20 16:57:36 PDT
The diff is below:

@@ -9,10 +9,7 @@
 PASS internals.shadowRoot(media).querySelector("button.tracks") became different from null
 PASS internals.shadowRoot(media).querySelector("button.tracks").getBoundingClientRect().width became different from 0
 PASS internals.shadowRoot(media).querySelector("button.tracks").getBoundingClientRect().right became 582
-PASS internals.shadowRoot(media).querySelector('.tracks-panel') became different from null
-PASS internals.shadowRoot(media).querySelector('.tracks-panel').style.right is "218px"
-PASS internals.shadowRoot(media).querySelector('.tracks-panel').style.bottom is "101px"
-
+FAIL: did not end fast enough
 PASS successfullyParsed is true
 
 TEST COMPLETE